{ ... }:
{
  services.immich = {
    enable = true;
    database = {
      enable = true;
    };
    host = "0.0.0.0";
    port = 8567;
    mediaLocation = "/data/photos";
    externalDomain = "https://photos.sealight.xyz";
  };
  services.nginx.virtualHosts."photos.mossnet.lan" = {
    enableACME = false;
    forceSSL = false;

    locations."/" = {
      extraConfig = ''
        proxy_pass http://127.0.0.1:8567/;
      '';
    };
  };
}
